Package be.cin.nip.async.generic

# Class ObjectFactory

java.lang.Object
be.cin.nip.async.generic.ObjectFactory

public class ObjectFactory extends Object
This object contains factory methods for each Java content interface and Java element interface generated in the be.cin.nip.async.generic package.

An ObjectFactory allows you to programmatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectFactory()`
  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.cin.nip.async.generic

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Confirm`
  `createConfirm()`
  Create an instance of `Confirm`
  `ConfirmResponse`
  `createConfirmResponse()`
  Create an instance of `ConfirmResponse`
  `Get`
  `createGet()`
  Create an instance of `Get`
  `GetResponse`
  `createGetResponse()`
  Create an instance of `GetResponse`
  `InternalPostResponse`
  `createInternalPostResponse()`
  Create an instance of `InternalPostResponse`
  `MsgQuery`
  `createMsgQuery()`
  Create an instance of `MsgQuery`
  `MsgResponse`
  `createMsgResponse()`
  Create an instance of `MsgResponse`
  `Post`
  `createPost()`
  Create an instance of `Post`
  `PostResponse`
  `createPostResponse()`
  Create an instance of `PostResponse`
  `PostResponseReturn`
  `createPostResponseReturn()`
  Create an instance of `PostResponseReturn`
  `Query`
  `createQuery()`
  Create an instance of `Query`
  `QueryParameters`
  `createQueryParameters()`
  Create an instance of `QueryParameters`
  `RejectInb`
  `createRejectInb()`
  Create an instance of `RejectInb`
  `RejectOutb`
  `createRejectOutb()`
  Create an instance of `RejectOutb`
  `Responses`
  `createResponses()`
  Create an instance of `Responses`
  `TAck`
  `createTAck()`
  Create an instance of `TAck`
  `TAckResponse`
  `createTAckResponse()`
  Create an instance of `TAckResponse`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ObjectFactory

    public ObjectFactory()
    Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.cin.nip.async.generic

- ## Method Details

  - ### createPost

    public Post createPost()
    Create an instance of `Post`
    Returns:
      the new instance of `Post`

  - ### createInternalPostResponse

    public InternalPostResponse createInternalPostResponse()
    Create an instance of `InternalPostResponse`
    Returns:
      the new instance of `InternalPostResponse`

  - ### createPostResponseReturn

    public PostResponseReturn createPostResponseReturn()
    Create an instance of `PostResponseReturn`
    Returns:
      the new instance of `PostResponseReturn`

  - ### createPostResponse

    public PostResponse createPostResponse()
    Create an instance of `PostResponse`
    Returns:
      the new instance of `PostResponse`

  - ### createTAck

    public TAck createTAck()
    Create an instance of `TAck`
    Returns:
      the new instance of `TAck`

  - ### createGet

    public Get createGet()
    Create an instance of `Get`
    Returns:
      the new instance of `Get`

  - ### createQueryParameters

    public QueryParameters createQueryParameters()
    Create an instance of `QueryParameters`
    Returns:
      the new instance of `QueryParameters`

  - ### createMsgQuery

    public MsgQuery createMsgQuery()
    Create an instance of `MsgQuery`
    Returns:
      the new instance of `MsgQuery`

  - ### createQuery

    public Query createQuery()
    Create an instance of `Query`
    Returns:
      the new instance of `Query`

  - ### createGetResponse

    public GetResponse createGetResponse()
    Create an instance of `GetResponse`
    Returns:
      the new instance of `GetResponse`

  - ### createResponses

    public Responses createResponses()
    Create an instance of `Responses`
    Returns:
      the new instance of `Responses`

  - ### createConfirm

    public Confirm createConfirm()
    Create an instance of `Confirm`
    Returns:
      the new instance of `Confirm`

  - ### createConfirmResponse

    public ConfirmResponse createConfirmResponse()
    Create an instance of `ConfirmResponse`
    Returns:
      the new instance of `ConfirmResponse`

  - ### createRejectInb

    public RejectInb createRejectInb()
    Create an instance of `RejectInb`
    Returns:
      the new instance of `RejectInb`

  - ### createRejectOutb

    public RejectOutb createRejectOutb()
    Create an instance of `RejectOutb`
    Returns:
      the new instance of `RejectOutb`

  - ### createMsgResponse

    public MsgResponse createMsgResponse()
    Create an instance of `MsgResponse`
    Returns:
      the new instance of `MsgResponse`

  - ### createTAckResponse

    public TAckResponse createTAckResponse()
    Create an instance of `TAckResponse`
    Returns:
      the new instance of `TAckResponse`